Product

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 PRODUCT 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

VersionStatusSupported Until
1.0CURRENT-

OpenAPI URL

https://product.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - List Product Categories

1.1.1 - 1.0

get /v1/product-categories

Description

List product categories

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querylimit
optional
LIMIT
Example : 10
integerNone
querypage
optional
Page
Example : 1
integerNone
querydisplay_name
optional
Product Category Name
Example : Networking
array[any of [string, null]][]
querydisplay_name_ko
optional
Product Category Name
Example : Networking
array[any of [string, null]][]
queryis_exposed_menu
optional
Product Category Menu Exposed Status
Example : True
array[any of [boolean, null]][]
querycreated_by
optional
Created by
Example : 김삼성
any of [string, null]None
querymodified_by
optional
Modified by
Example : 김삼성
any of [string, null]None
querycreated_start_date
optional
Created start date
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querycreated_end_date
optional
Created end date
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querymodified_start_date
optional
Modified start date
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querymodified_end_date
optional
Modified end date
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querysort
optional
Sort
Example : created_at:asc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKProductCategoryListResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/product-categories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = product 1.0"

Example HTTP response

Response 200

{
    "count": 5,
    "current_page": "",
    "product_categories": [
        {
            "category_id": "NETWORKING",
            "created_at": "2024-01-01T00:00:00",
            "created_by": "5cada9f6afa049418c4f18c0c4859202",
            "display_name": "Networking",
            "display_name_ko": "Networking",
            "icon_file_id": "c1d5c1f63bf24f73b32c37f6f7b50310",
            "is_exposed_menu": "True",
            "modified_at": "2024-01-01T00:00:00",
            "modified_by": "5cada9f6afa049418c4f18c0c4859202",
            "seq": 9,
            "service_group_color_id": "ffff00"
        }
    ],
    "total_count": 5,
    "total_pages": ""
}

1.2 - List Products

1.2.1 - 1.0

get /v1/products

Description

List products.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querylimit
optional
LIMIT
Example : 10
integerNone
querypage
optional
Page
Example : 1
integerNone
queryproduct_category_id
optional
Product Category ID
Example : NETWORKING
array[any of [string, null]][]
queryproduct_id
optional
Product ID
Example : VPC
array[any of [string, null]][]
querydisplay_name
optional
Product name
Example : VPC
array[any of [string, null]][]
querydisplay_name_ko
optional
Product name
Example : VPC
array[any of [string, null]][]
querykind
optional
Product Kind
Example : PRODUCT
array[any of [string, null]][]
querycreated_start_date
optional
Created start date
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querycreated_end_date
optional
Created end date
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querymodified_start_date
optional
Modified start date
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querymodified_end_date
optional
Modified end date
Example : 2024-01-01T00:00:00
any of [string (date-time), null]None
querysort
optional
Sort
Example : created_at:asc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKProductListResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/products

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = product 1.0"

Example HTTP response

Response 200

{
    "count": 5,
    "current_page": 1,
    "products": [
        {
            "created_at": "2024-01-01T00:00:00",
            "created_by": "5cada9f6afa049418c4f18c0c4859202",
            "display_name": "VPC",
            "display_name_ko": "VPC",
            "kind": "PRODUCT",
            "modified_at": "2024-01-01T00:00:00",
            "modified_by": "5cada9f6afa049418c4f18c0c4859202",
            "product_category_id": "NETWORKING",
            "product_category_name": "Networking",
            "product_id": "VPC"
        }
    ],
    "total_count": 5,
    "total_pages": 1
}

1.3 - Show Product

1.3.1 - 1.0

get /v1/products/{product_id}

Description

Show product.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathproduct_id
required
Product ID
Example : VPC
stringNone

Responses

HTTP CodeDescriptionSchema
200OKProductResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/products/{product_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = product 1.0"

Example HTTP response

Response 200

{
    "created_at": "2024-01-01T00:00:00",
    "created_by": "5cada9f6afa049418c4f18c0c4859202",
    "display_name": "VPC",
    "display_name_ko": "VPC",
    "kind": "PRODUCT",
    "modified_at": "2024-01-01T00:00:00",
    "modified_by": "5cada9f6afa049418c4f18c0c4859202",
    "product_category_id": "NETWORKING",
    "product_category_name": "Networking",
    "product_id": "VPC"
}

1.4 - Show Product category

1.4.1 - 1.0

get /v1/product-categories/{category_id}

Description

Show product category.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcategory_id
required
Product Category ID
Example : NETWORKING
stringNone

Responses

HTTP CodeDescriptionSchema
200OKProductCategoryResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/product-categories/{category_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = product 1.0"

Example HTTP response

Response 200

{
    "category_id": "NETWORKING",
    "created_at": "2024-01-01T00:00:00",
    "created_by": "5cada9f6afa049418c4f18c0c4859202",
    "display_name": "Networking",
    "display_name_ko": "Networking",
    "icon_file_id": "c1d5c1f63bf24f73b32c37f6f7b50310",
    "is_exposed_menu": "True",
    "modified_at": "2024-01-01T00:00:00",
    "modified_by": "5cada9f6afa049418c4f18c0c4859202",
    "seq": 9,
    "service_group_color_id": "ffff00"
}

2 - Models

2.1 - ProductCategoryListResponse

NameDescriptionSchemaDefault
count
optional
Count
Example : 5
any of [integer, null]
current_page
optional

Example :
any of [integer, null]
product_categories
optional
Product Categories
array[ProductCategoryResponse]
total_count
optional

Example : 5
any of [integer, null]
total_pages
optional

Example :
any of [integer, null]

2.2 - ProductCategoryResponse

NameDescriptionSchemaDefault
category_id
optional
Product Category ID
Example : NETWORKING
any of [string, null]
created_at
optional
Created date
Example : 2024-01-01T00:00:00
string (date-time)
created_by
optional
Created by
Example : 5cada9f6afa049418c4f18c0c4859202
string
display_name
optional
Product Category Name
Example : Networking
Pattern : [a-zA-Z0-9_\-()\s]{2,30}$
any of [string, null]
display_name_ko
optional
Product Category Name
Example : Networking
Pattern : ^[가-힣a-zA-Z0-9_\-()\s]{2,30}$
any of [string, null]
icon_file_id
optional
Icon File ID
Example : c1d5c1f63bf24f73b32c37f6f7b50310
any of [string, null]
is_exposed_menu
optional
Product Category Menu Exposed Status
Example : True
any of [boolean, null]
modified_at
optional
Modified date
Example : 2024-01-01T00:00:00
string (date-time)
modified_by
optional
Modified by
Example : 5cada9f6afa049418c4f18c0c4859202
string
seq
optional
Seq
Example : 9
any of [integer, null]
service_group_color_id
optional
Service Group Color
Example : ffff00
any of [string, null]

2.3 - ProductListResponse

NameDescriptionSchemaDefault
count
optional
Count
Example : 5
any of [integer, null]
current_page
optional
Current page
Example : 1
any of [integer, null]
products
optional
Products
array[ProductResponse]
total_count
optional
Total count
Example : 5
any of [integer, null]
total_pages
optional
Total pages
Example : 1
any of [integer, null]

2.4 - ProductResponse

NameDescriptionSchemaDefault
created_at
required
Created date
Example : 2024-01-01T00:00:00
string (date-time)
created_by
required
Created by
Example : 5cada9f6afa049418c4f18c0c4859202
string
display_name
optional
Product name
Example : VPC
any of [string, null]
display_name_ko
optional
Product name
Example : VPC
any of [string, null]
kind
optional
Product Kind
Example : PRODUCT
string
modified_at
required
Modified date
Example : 2024-01-01T00:00:00
string (date-time)
modified_by
required
Modified by
Example : 5cada9f6afa049418c4f18c0c4859202
string
product_category_id
optional
Product Category ID
Example : NETWORKING
any of [string, null]
product_category_name
optional
Product Category Name
Example : Networking
any of [string, null]
product_id
optional
Product ID
Example : VPC
any of [string, null]